usbpsu: xusb_intr_example.c File Reference

| usbpsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xusb_intr_example.c File Reference

## Overview

This file implements DFU class example.

This file implements the mass storage class example.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   vak  30/11/16 First release
    1.4      BK   12/01/18 Renamed the file to be in sync with usb common code
                   changes for all USB IPs
          vak  22/01/18 Added changes for supporting microblaze platform
          vak  13/03/18 Moved the setup interrupt system calls from driver to
                   example.
    1.5      vak  13/02/19 Added support for versal

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   sg  06/06/16 First release
          ms  04/10/17 Modified filename tag to include the file in doxygen
                       examples.
    1.4   BK  12/01/18 Renamed the file and added changes to have a common
                  example for all USB IPs.
          vak 22/01/18 Added changes for supporting microblaze platform
          vak 13/03/18 Moved the setup interrupt system calls from driver to
                  example.
    1.5      vak 13/02/19 Added support for versal

## Functions
void | BulkOutHandler (void *CallBackRef, u32 RequestedBytes, u32 BytesTxed)
| This function is Bulk Out Endpoint handler/Callback called by driver when data is received. More...
void | BulkInHandler (void *CallBackRef, u32 RequestedBytes, u32 BytesTxed)
| This function is Bulk In Endpoint handler/Callback called by driver when data is sent. More...
int | main (void)
| This function is the main function of the USB mass storage example. More...

## Function Documentation

void BulkInHandler | ( | void * | CallBackRef,
|  | u32 | RequestedBytes,
|  | u32 | BytesTxed
| ) |  |

This function is Bulk In Endpoint handler/Callback called by driver when data is sent.

Parameters

  CallBackRef | is pointer to Usb_DevData instance.
  RequestedBytes | is number of bytes requested to send.
  BytesTxed | is actual number of bytes sent to Host.

Returns
  None

Note
  None.

void BulkOutHandler | ( | void * | CallBackRef,
|  | u32 | RequestedBytes,
|  | u32 | BytesTxed
| ) |  |

This function is Bulk Out Endpoint handler/Callback called by driver when data is received.

Parameters

  CallBackRef | is pointer to Usb_DevData instance.
  RequestedBytes | is number of bytes requested for reception.
  BytesTxed | is actual number of bytes received from Host.

Returns
  None

Note
  None.

int main | ( | void |  | ) |

This function is the main function of the USB mass storage example.

Parameters

  None. |

Returns
  - XST_SUCCESS if successful,
  - XST_FAILURE if unsuccessful.

Note
  None.

References XUsbPsu_Config::BaseAddress, BulkInHandler(), BulkOutHandler(), Ch9Handler(), and SetupInterruptSystem().